Subject: [bess] All-Active Multi-homing and Virtual Ethernet Segments: A Question

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 25 Sep 2018 10:24:41 +0000

Dear authors of the EVPN Virtual Ethernet Segment<https://tools.ietf.org/html/draft-sajassi-bess-evpn-virtual-eth-segment-03> draft,
My colleagues and I have a question pertaining to support of All-Active redundancy mode in EVPN that uses virtual Ethernet Segments.

Section 8.5 of RFC 7432<https://tools.ietf.org/html/rfc7432#section-8.5> says:

   If a bridged network is multihomed to more than one PE in an EVPN
   network via switches, then the support of All-Active redundancy mode
   requires the bridged network to be connected to two or more PEs using
   a LAG.

   If a bridged network does not connect to the PEs using a LAG, then
   only one of the links between the bridged network and the PEs must be
   the active link for a given <ES, VLAN> or <ES, VLAN bundle>.  In this
   case, the set of Ethernet A-D per ES routes advertised by each PE
   MUST have the "Single-Active" bit in the flags of the ESI Label
   extended community set to 1.

This restriction is easy to understand, since, with the All-Active multi-homing mode of an Ethernet Segment, a CE attached to such a segment potentially would receive traffic from all the PEs attached to this  segment. Since A CE that is part of a bridged network must learn MAC addresses of the received traffic, it would potentially experience continuous MAC Move events - with undesirable consequences.

The EVPN Virtual Ethernet Segment draft replaces Ethernet links (forming a "real" ES) with Ethernet PWs, and claims support of both Single-homed and multi-homed multi-homing modes. When I compare these claims with the quoted above statement from RFC 7432, I see two possibilities:

*         Either a CE that is connected to an All-Active vES cannot be part of a bridged network (and thus would not do any MAC learning)

*         Or  an extension of LAG that deals with Ethernet PWs instead of Ethernet links is required.

Could you please clarify which of these two options is correct?

Note: The draft includes Informative references to the two drafts that have been published as RFC 7432 and RFC 7623.

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

___________________________________________________________________________

This e-mail message is intended for the recipient only and contains information which is 
CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this 
transmission in error, please inform us by e-mail, phone or fax, and then delete the original 
and all copies thereof.
___________________________________________________________________________